# Uses of Class
org.apache.lucene.analysis.ko.Token

Packages that use Token
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.
org.apache.lucene.analysis.ko.tokenattributes
Additional Korean-specific Attributes for text analysis.

## Uses of Token in org.apache.lucene.analysis.ko

Subclasses of Token in org.apache.lucene.analysis.ko
Modifier and Type
Class
Description
`class`
`DecompoundToken`
A token that was generated from a compound.
`class`
`DictionaryToken`
A token stored in a `KoMorphData`.

## Uses of Token in org.apache.lucene.analysis.ko.tokenattributes

Methods in org.apache.lucene.analysis.ko.tokenattributes with parameters of type Token
Modifier and Type
Method
Description
`void`
PartOfSpeechAttribute.`setToken(Token token)`
Set the current token.
`void`
PartOfSpeechAttributeImpl.`setToken(Token token)`
`void`
ReadingAttribute.`setToken(Token token)`
Set the current token.
`void`
ReadingAttributeImpl.`setToken(Token token)`